/*******************************************************************************
* File Name: DRAW.h  
* Version 1.80
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_DRAW_H) /* Pins DRAW_H */
#define CY_PINS_DRAW_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "DRAW_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_80 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 DRAW__PORT == 15 && ((DRAW__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    DRAW_Write(uint8 value) ;
void    DRAW_SetDriveMode(uint8 mode) ;
uint8   DRAW_ReadDataReg(void) ;
uint8   DRAW_Read(void) ;
uint8   DRAW_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define DRAW_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define DRAW_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define DRAW_DM_RES_UP          PIN_DM_RES_UP
#define DRAW_DM_RES_DWN         PIN_DM_RES_DWN
#define DRAW_DM_OD_LO           PIN_DM_OD_LO
#define DRAW_DM_OD_HI           PIN_DM_OD_HI
#define DRAW_DM_STRONG          PIN_DM_STRONG
#define DRAW_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define DRAW_MASK               DRAW__MASK
#define DRAW_SHIFT              DRAW__SHIFT
#define DRAW_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define DRAW_PS                     (* (reg8 *) DRAW__PS)
/* Data Register */
#define DRAW_DR                     (* (reg8 *) DRAW__DR)
/* Port Number */
#define DRAW_PRT_NUM                (* (reg8 *) DRAW__PRT) 
/* Connect to Analog Globals */                                                  
#define DRAW_AG                     (* (reg8 *) DRAW__AG)                       
/* Analog MUX bux enable */
#define DRAW_AMUX                   (* (reg8 *) DRAW__AMUX) 
/* Bidirectional Enable */                                                        
#define DRAW_BIE                    (* (reg8 *) DRAW__BIE)
/* Bit-mask for Aliased Register Access */
#define DRAW_BIT_MASK               (* (reg8 *) DRAW__BIT_MASK)
/* Bypass Enable */
#define DRAW_BYP                    (* (reg8 *) DRAW__BYP)
/* Port wide control signals */                                                   
#define DRAW_CTL                    (* (reg8 *) DRAW__CTL)
/* Drive Modes */
#define DRAW_DM0                    (* (reg8 *) DRAW__DM0) 
#define DRAW_DM1                    (* (reg8 *) DRAW__DM1)
#define DRAW_DM2                    (* (reg8 *) DRAW__DM2) 
/* Input Buffer Disable Override */
#define DRAW_INP_DIS                (* (reg8 *) DRAW__INP_DIS)
/* LCD Common or Segment Drive */
#define DRAW_LCD_COM_SEG            (* (reg8 *) DRAW__LCD_COM_SEG)
/* Enable Segment LCD */
#define DRAW_LCD_EN                 (* (reg8 *) DRAW__LCD_EN)
/* Slew Rate Control */
#define DRAW_SLW                    (* (reg8 *) DRAW__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define DRAW_PRTDSI__CAPS_SEL       (* (reg8 *) DRAW__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define DRAW_PRTDSI__DBL_SYNC_IN    (* (reg8 *) DRAW__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define DRAW_PRTDSI__OE_SEL0        (* (reg8 *) DRAW__PRTDSI__OE_SEL0) 
#define DRAW_PRTDSI__OE_SEL1        (* (reg8 *) DRAW__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define DRAW_PRTDSI__OUT_SEL0       (* (reg8 *) DRAW__PRTDSI__OUT_SEL0) 
#define DRAW_PRTDSI__OUT_SEL1       (* (reg8 *) DRAW__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define DRAW_PRTDSI__SYNC_OUT       (* (reg8 *) DRAW__PRTDSI__SYNC_OUT) 


#if defined(DRAW__INTSTAT)  /* Interrupt Registers */

    #define DRAW_INTSTAT                (* (reg8 *) DRAW__INTSTAT)
    #define DRAW_SNAP                   (* (reg8 *) DRAW__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_DRAW_H */


/* [] END OF FILE */
