/*******************************************************************************
* File Name: DRAWABLE.h  
* Version 1.80
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_DRAWABLE_H) /* Pins DRAWABLE_H */
#define CY_PINS_DRAWABLE_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "DRAWABLE_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_80 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 DRAWABLE__PORT == 15 && ((DRAWABLE__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    DRAWABLE_Write(uint8 value) ;
void    DRAWABLE_SetDriveMode(uint8 mode) ;
uint8   DRAWABLE_ReadDataReg(void) ;
uint8   DRAWABLE_Read(void) ;
uint8   DRAWABLE_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define DRAWABLE_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define DRAWABLE_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define DRAWABLE_DM_RES_UP          PIN_DM_RES_UP
#define DRAWABLE_DM_RES_DWN         PIN_DM_RES_DWN
#define DRAWABLE_DM_OD_LO           PIN_DM_OD_LO
#define DRAWABLE_DM_OD_HI           PIN_DM_OD_HI
#define DRAWABLE_DM_STRONG          PIN_DM_STRONG
#define DRAWABLE_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define DRAWABLE_MASK               DRAWABLE__MASK
#define DRAWABLE_SHIFT              DRAWABLE__SHIFT
#define DRAWABLE_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define DRAWABLE_PS                     (* (reg8 *) DRAWABLE__PS)
/* Data Register */
#define DRAWABLE_DR                     (* (reg8 *) DRAWABLE__DR)
/* Port Number */
#define DRAWABLE_PRT_NUM                (* (reg8 *) DRAWABLE__PRT) 
/* Connect to Analog Globals */                                                  
#define DRAWABLE_AG                     (* (reg8 *) DRAWABLE__AG)                       
/* Analog MUX bux enable */
#define DRAWABLE_AMUX                   (* (reg8 *) DRAWABLE__AMUX) 
/* Bidirectional Enable */                                                        
#define DRAWABLE_BIE                    (* (reg8 *) DRAWABLE__BIE)
/* Bit-mask for Aliased Register Access */
#define DRAWABLE_BIT_MASK               (* (reg8 *) DRAWABLE__BIT_MASK)
/* Bypass Enable */
#define DRAWABLE_BYP                    (* (reg8 *) DRAWABLE__BYP)
/* Port wide control signals */                                                   
#define DRAWABLE_CTL                    (* (reg8 *) DRAWABLE__CTL)
/* Drive Modes */
#define DRAWABLE_DM0                    (* (reg8 *) DRAWABLE__DM0) 
#define DRAWABLE_DM1                    (* (reg8 *) DRAWABLE__DM1)
#define DRAWABLE_DM2                    (* (reg8 *) DRAWABLE__DM2) 
/* Input Buffer Disable Override */
#define DRAWABLE_INP_DIS                (* (reg8 *) DRAWABLE__INP_DIS)
/* LCD Common or Segment Drive */
#define DRAWABLE_LCD_COM_SEG            (* (reg8 *) DRAWABLE__LCD_COM_SEG)
/* Enable Segment LCD */
#define DRAWABLE_LCD_EN                 (* (reg8 *) DRAWABLE__LCD_EN)
/* Slew Rate Control */
#define DRAWABLE_SLW                    (* (reg8 *) DRAWABLE__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define DRAWABLE_PRTDSI__CAPS_SEL       (* (reg8 *) DRAWABLE__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define DRAWABLE_PRTDSI__DBL_SYNC_IN    (* (reg8 *) DRAWABLE__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define DRAWABLE_PRTDSI__OE_SEL0        (* (reg8 *) DRAWABLE__PRTDSI__OE_SEL0) 
#define DRAWABLE_PRTDSI__OE_SEL1        (* (reg8 *) DRAWABLE__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define DRAWABLE_PRTDSI__OUT_SEL0       (* (reg8 *) DRAWABLE__PRTDSI__OUT_SEL0) 
#define DRAWABLE_PRTDSI__OUT_SEL1       (* (reg8 *) DRAWABLE__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define DRAWABLE_PRTDSI__SYNC_OUT       (* (reg8 *) DRAWABLE__PRTDSI__SYNC_OUT) 


#if defined(DRAWABLE__INTSTAT)  /* Interrupt Registers */

    #define DRAWABLE_INTSTAT                (* (reg8 *) DRAWABLE__INTSTAT)
    #define DRAWABLE_SNAP                   (* (reg8 *) DRAWABLE__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_DRAWABLE_H */


/* [] END OF FILE */
