/*******************************************************************************
* File Name: PI_DONE.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_PI_DONE_H) /* Pins PI_DONE_H */
#define CY_PINS_PI_DONE_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "PI_DONE_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_90 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 PI_DONE__PORT == 15 && ((PI_DONE__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    PI_DONE_Write(uint8 value) ;
void    PI_DONE_SetDriveMode(uint8 mode) ;
uint8   PI_DONE_ReadDataReg(void) ;
uint8   PI_DONE_Read(void) ;
uint8   PI_DONE_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define PI_DONE_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define PI_DONE_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define PI_DONE_DM_RES_UP          PIN_DM_RES_UP
#define PI_DONE_DM_RES_DWN         PIN_DM_RES_DWN
#define PI_DONE_DM_OD_LO           PIN_DM_OD_LO
#define PI_DONE_DM_OD_HI           PIN_DM_OD_HI
#define PI_DONE_DM_STRONG          PIN_DM_STRONG
#define PI_DONE_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define PI_DONE_MASK               PI_DONE__MASK
#define PI_DONE_SHIFT              PI_DONE__SHIFT
#define PI_DONE_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define PI_DONE_PS                     (* (reg8 *) PI_DONE__PS)
/* Data Register */
#define PI_DONE_DR                     (* (reg8 *) PI_DONE__DR)
/* Port Number */
#define PI_DONE_PRT_NUM                (* (reg8 *) PI_DONE__PRT) 
/* Connect to Analog Globals */                                                  
#define PI_DONE_AG                     (* (reg8 *) PI_DONE__AG)                       
/* Analog MUX bux enable */
#define PI_DONE_AMUX                   (* (reg8 *) PI_DONE__AMUX) 
/* Bidirectional Enable */                                                        
#define PI_DONE_BIE                    (* (reg8 *) PI_DONE__BIE)
/* Bit-mask for Aliased Register Access */
#define PI_DONE_BIT_MASK               (* (reg8 *) PI_DONE__BIT_MASK)
/* Bypass Enable */
#define PI_DONE_BYP                    (* (reg8 *) PI_DONE__BYP)
/* Port wide control signals */                                                   
#define PI_DONE_CTL                    (* (reg8 *) PI_DONE__CTL)
/* Drive Modes */
#define PI_DONE_DM0                    (* (reg8 *) PI_DONE__DM0) 
#define PI_DONE_DM1                    (* (reg8 *) PI_DONE__DM1)
#define PI_DONE_DM2                    (* (reg8 *) PI_DONE__DM2) 
/* Input Buffer Disable Override */
#define PI_DONE_INP_DIS                (* (reg8 *) PI_DONE__INP_DIS)
/* LCD Common or Segment Drive */
#define PI_DONE_LCD_COM_SEG            (* (reg8 *) PI_DONE__LCD_COM_SEG)
/* Enable Segment LCD */
#define PI_DONE_LCD_EN                 (* (reg8 *) PI_DONE__LCD_EN)
/* Slew Rate Control */
#define PI_DONE_SLW                    (* (reg8 *) PI_DONE__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define PI_DONE_PRTDSI__CAPS_SEL       (* (reg8 *) PI_DONE__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define PI_DONE_PRTDSI__DBL_SYNC_IN    (* (reg8 *) PI_DONE__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define PI_DONE_PRTDSI__OE_SEL0        (* (reg8 *) PI_DONE__PRTDSI__OE_SEL0) 
#define PI_DONE_PRTDSI__OE_SEL1        (* (reg8 *) PI_DONE__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define PI_DONE_PRTDSI__OUT_SEL0       (* (reg8 *) PI_DONE__PRTDSI__OUT_SEL0) 
#define PI_DONE_PRTDSI__OUT_SEL1       (* (reg8 *) PI_DONE__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define PI_DONE_PRTDSI__SYNC_OUT       (* (reg8 *) PI_DONE__PRTDSI__SYNC_OUT) 


#if defined(PI_DONE__INTSTAT)  /* Interrupt Registers */

    #define PI_DONE_INTSTAT                (* (reg8 *) PI_DONE__INTSTAT)
    #define PI_DONE_SNAP                   (* (reg8 *) PI_DONE__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_PI_DONE_H */


/* [] END OF FILE */
