/*******************************************************************************
* File Name: PO_RESETN.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_PO_RESETN_H) /* Pins PO_RESETN_H */
#define CY_PINS_PO_RESETN_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "PO_RESETN_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_90 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 PO_RESETN__PORT == 15 && ((PO_RESETN__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    PO_RESETN_Write(uint8 value) ;
void    PO_RESETN_SetDriveMode(uint8 mode) ;
uint8   PO_RESETN_ReadDataReg(void) ;
uint8   PO_RESETN_Read(void) ;
uint8   PO_RESETN_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define PO_RESETN_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define PO_RESETN_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define PO_RESETN_DM_RES_UP          PIN_DM_RES_UP
#define PO_RESETN_DM_RES_DWN         PIN_DM_RES_DWN
#define PO_RESETN_DM_OD_LO           PIN_DM_OD_LO
#define PO_RESETN_DM_OD_HI           PIN_DM_OD_HI
#define PO_RESETN_DM_STRONG          PIN_DM_STRONG
#define PO_RESETN_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define PO_RESETN_MASK               PO_RESETN__MASK
#define PO_RESETN_SHIFT              PO_RESETN__SHIFT
#define PO_RESETN_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define PO_RESETN_PS                     (* (reg8 *) PO_RESETN__PS)
/* Data Register */
#define PO_RESETN_DR                     (* (reg8 *) PO_RESETN__DR)
/* Port Number */
#define PO_RESETN_PRT_NUM                (* (reg8 *) PO_RESETN__PRT) 
/* Connect to Analog Globals */                                                  
#define PO_RESETN_AG                     (* (reg8 *) PO_RESETN__AG)                       
/* Analog MUX bux enable */
#define PO_RESETN_AMUX                   (* (reg8 *) PO_RESETN__AMUX) 
/* Bidirectional Enable */                                                        
#define PO_RESETN_BIE                    (* (reg8 *) PO_RESETN__BIE)
/* Bit-mask for Aliased Register Access */
#define PO_RESETN_BIT_MASK               (* (reg8 *) PO_RESETN__BIT_MASK)
/* Bypass Enable */
#define PO_RESETN_BYP                    (* (reg8 *) PO_RESETN__BYP)
/* Port wide control signals */                                                   
#define PO_RESETN_CTL                    (* (reg8 *) PO_RESETN__CTL)
/* Drive Modes */
#define PO_RESETN_DM0                    (* (reg8 *) PO_RESETN__DM0) 
#define PO_RESETN_DM1                    (* (reg8 *) PO_RESETN__DM1)
#define PO_RESETN_DM2                    (* (reg8 *) PO_RESETN__DM2) 
/* Input Buffer Disable Override */
#define PO_RESETN_INP_DIS                (* (reg8 *) PO_RESETN__INP_DIS)
/* LCD Common or Segment Drive */
#define PO_RESETN_LCD_COM_SEG            (* (reg8 *) PO_RESETN__LCD_COM_SEG)
/* Enable Segment LCD */
#define PO_RESETN_LCD_EN                 (* (reg8 *) PO_RESETN__LCD_EN)
/* Slew Rate Control */
#define PO_RESETN_SLW                    (* (reg8 *) PO_RESETN__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define PO_RESETN_PRTDSI__CAPS_SEL       (* (reg8 *) PO_RESETN__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define PO_RESETN_PRTDSI__DBL_SYNC_IN    (* (reg8 *) PO_RESETN__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define PO_RESETN_PRTDSI__OE_SEL0        (* (reg8 *) PO_RESETN__PRTDSI__OE_SEL0) 
#define PO_RESETN_PRTDSI__OE_SEL1        (* (reg8 *) PO_RESETN__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define PO_RESETN_PRTDSI__OUT_SEL0       (* (reg8 *) PO_RESETN__PRTDSI__OUT_SEL0) 
#define PO_RESETN_PRTDSI__OUT_SEL1       (* (reg8 *) PO_RESETN__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define PO_RESETN_PRTDSI__SYNC_OUT       (* (reg8 *) PO_RESETN__PRTDSI__SYNC_OUT) 


#if defined(PO_RESETN__INTSTAT)  /* Interrupt Registers */

    #define PO_RESETN_INTSTAT                (* (reg8 *) PO_RESETN__INTSTAT)
    #define PO_RESETN_SNAP                   (* (reg8 *) PO_RESETN__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_PO_RESETN_H */


/* [] END OF FILE */
