/*******************************************************************************
* File Name: PO_SHUT.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_PO_SHUT_H) /* Pins PO_SHUT_H */
#define CY_PINS_PO_SHUT_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "PO_SHUT_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_90 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 PO_SHUT__PORT == 15 && ((PO_SHUT__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    PO_SHUT_Write(uint8 value) ;
void    PO_SHUT_SetDriveMode(uint8 mode) ;
uint8   PO_SHUT_ReadDataReg(void) ;
uint8   PO_SHUT_Read(void) ;
uint8   PO_SHUT_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define PO_SHUT_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define PO_SHUT_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define PO_SHUT_DM_RES_UP          PIN_DM_RES_UP
#define PO_SHUT_DM_RES_DWN         PIN_DM_RES_DWN
#define PO_SHUT_DM_OD_LO           PIN_DM_OD_LO
#define PO_SHUT_DM_OD_HI           PIN_DM_OD_HI
#define PO_SHUT_DM_STRONG          PIN_DM_STRONG
#define PO_SHUT_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define PO_SHUT_MASK               PO_SHUT__MASK
#define PO_SHUT_SHIFT              PO_SHUT__SHIFT
#define PO_SHUT_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define PO_SHUT_PS                     (* (reg8 *) PO_SHUT__PS)
/* Data Register */
#define PO_SHUT_DR                     (* (reg8 *) PO_SHUT__DR)
/* Port Number */
#define PO_SHUT_PRT_NUM                (* (reg8 *) PO_SHUT__PRT) 
/* Connect to Analog Globals */                                                  
#define PO_SHUT_AG                     (* (reg8 *) PO_SHUT__AG)                       
/* Analog MUX bux enable */
#define PO_SHUT_AMUX                   (* (reg8 *) PO_SHUT__AMUX) 
/* Bidirectional Enable */                                                        
#define PO_SHUT_BIE                    (* (reg8 *) PO_SHUT__BIE)
/* Bit-mask for Aliased Register Access */
#define PO_SHUT_BIT_MASK               (* (reg8 *) PO_SHUT__BIT_MASK)
/* Bypass Enable */
#define PO_SHUT_BYP                    (* (reg8 *) PO_SHUT__BYP)
/* Port wide control signals */                                                   
#define PO_SHUT_CTL                    (* (reg8 *) PO_SHUT__CTL)
/* Drive Modes */
#define PO_SHUT_DM0                    (* (reg8 *) PO_SHUT__DM0) 
#define PO_SHUT_DM1                    (* (reg8 *) PO_SHUT__DM1)
#define PO_SHUT_DM2                    (* (reg8 *) PO_SHUT__DM2) 
/* Input Buffer Disable Override */
#define PO_SHUT_INP_DIS                (* (reg8 *) PO_SHUT__INP_DIS)
/* LCD Common or Segment Drive */
#define PO_SHUT_LCD_COM_SEG            (* (reg8 *) PO_SHUT__LCD_COM_SEG)
/* Enable Segment LCD */
#define PO_SHUT_LCD_EN                 (* (reg8 *) PO_SHUT__LCD_EN)
/* Slew Rate Control */
#define PO_SHUT_SLW                    (* (reg8 *) PO_SHUT__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define PO_SHUT_PRTDSI__CAPS_SEL       (* (reg8 *) PO_SHUT__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define PO_SHUT_PRTDSI__DBL_SYNC_IN    (* (reg8 *) PO_SHUT__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define PO_SHUT_PRTDSI__OE_SEL0        (* (reg8 *) PO_SHUT__PRTDSI__OE_SEL0) 
#define PO_SHUT_PRTDSI__OE_SEL1        (* (reg8 *) PO_SHUT__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define PO_SHUT_PRTDSI__OUT_SEL0       (* (reg8 *) PO_SHUT__PRTDSI__OUT_SEL0) 
#define PO_SHUT_PRTDSI__OUT_SEL1       (* (reg8 *) PO_SHUT__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define PO_SHUT_PRTDSI__SYNC_OUT       (* (reg8 *) PO_SHUT__PRTDSI__SYNC_OUT) 


#if defined(PO_SHUT__INTSTAT)  /* Interrupt Registers */

    #define PO_SHUT_INTSTAT                (* (reg8 *) PO_SHUT__INTSTAT)
    #define PO_SHUT_SNAP                   (* (reg8 *) PO_SHUT__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_PO_SHUT_H */


/* [] END OF FILE */
