/*******************************************************************************
* File Name: ROM_DIN.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_ROM_DIN_H) /* Pins ROM_DIN_H */
#define CY_PINS_ROM_DIN_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "ROM_DIN_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_90 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 ROM_DIN__PORT == 15 && ((ROM_DIN__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    ROM_DIN_Write(uint8 value) ;
void    ROM_DIN_SetDriveMode(uint8 mode) ;
uint8   ROM_DIN_ReadDataReg(void) ;
uint8   ROM_DIN_Read(void) ;
uint8   ROM_DIN_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define ROM_DIN_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define ROM_DIN_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define ROM_DIN_DM_RES_UP          PIN_DM_RES_UP
#define ROM_DIN_DM_RES_DWN         PIN_DM_RES_DWN
#define ROM_DIN_DM_OD_LO           PIN_DM_OD_LO
#define ROM_DIN_DM_OD_HI           PIN_DM_OD_HI
#define ROM_DIN_DM_STRONG          PIN_DM_STRONG
#define ROM_DIN_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define ROM_DIN_MASK               ROM_DIN__MASK
#define ROM_DIN_SHIFT              ROM_DIN__SHIFT
#define ROM_DIN_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define ROM_DIN_PS                     (* (reg8 *) ROM_DIN__PS)
/* Data Register */
#define ROM_DIN_DR                     (* (reg8 *) ROM_DIN__DR)
/* Port Number */
#define ROM_DIN_PRT_NUM                (* (reg8 *) ROM_DIN__PRT) 
/* Connect to Analog Globals */                                                  
#define ROM_DIN_AG                     (* (reg8 *) ROM_DIN__AG)                       
/* Analog MUX bux enable */
#define ROM_DIN_AMUX                   (* (reg8 *) ROM_DIN__AMUX) 
/* Bidirectional Enable */                                                        
#define ROM_DIN_BIE                    (* (reg8 *) ROM_DIN__BIE)
/* Bit-mask for Aliased Register Access */
#define ROM_DIN_BIT_MASK               (* (reg8 *) ROM_DIN__BIT_MASK)
/* Bypass Enable */
#define ROM_DIN_BYP                    (* (reg8 *) ROM_DIN__BYP)
/* Port wide control signals */                                                   
#define ROM_DIN_CTL                    (* (reg8 *) ROM_DIN__CTL)
/* Drive Modes */
#define ROM_DIN_DM0                    (* (reg8 *) ROM_DIN__DM0) 
#define ROM_DIN_DM1                    (* (reg8 *) ROM_DIN__DM1)
#define ROM_DIN_DM2                    (* (reg8 *) ROM_DIN__DM2) 
/* Input Buffer Disable Override */
#define ROM_DIN_INP_DIS                (* (reg8 *) ROM_DIN__INP_DIS)
/* LCD Common or Segment Drive */
#define ROM_DIN_LCD_COM_SEG            (* (reg8 *) ROM_DIN__LCD_COM_SEG)
/* Enable Segment LCD */
#define ROM_DIN_LCD_EN                 (* (reg8 *) ROM_DIN__LCD_EN)
/* Slew Rate Control */
#define ROM_DIN_SLW                    (* (reg8 *) ROM_DIN__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define ROM_DIN_PRTDSI__CAPS_SEL       (* (reg8 *) ROM_DIN__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define ROM_DIN_PRTDSI__DBL_SYNC_IN    (* (reg8 *) ROM_DIN__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define ROM_DIN_PRTDSI__OE_SEL0        (* (reg8 *) ROM_DIN__PRTDSI__OE_SEL0) 
#define ROM_DIN_PRTDSI__OE_SEL1        (* (reg8 *) ROM_DIN__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define ROM_DIN_PRTDSI__OUT_SEL0       (* (reg8 *) ROM_DIN__PRTDSI__OUT_SEL0) 
#define ROM_DIN_PRTDSI__OUT_SEL1       (* (reg8 *) ROM_DIN__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define ROM_DIN_PRTDSI__SYNC_OUT       (* (reg8 *) ROM_DIN__PRTDSI__SYNC_OUT) 


#if defined(ROM_DIN__INTSTAT)  /* Interrupt Registers */

    #define ROM_DIN_INTSTAT                (* (reg8 *) ROM_DIN__INTSTAT)
    #define ROM_DIN_SNAP                   (* (reg8 *) ROM_DIN__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_ROM_DIN_H */


/* [] END OF FILE */
