/*******************************************************************************
* File Name: ROM_DOUT.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_ROM_DOUT_H) /* Pins ROM_DOUT_H */
#define CY_PINS_ROM_DOUT_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "ROM_DOUT_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_90 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 ROM_DOUT__PORT == 15 && ((ROM_DOUT__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    ROM_DOUT_Write(uint8 value) ;
void    ROM_DOUT_SetDriveMode(uint8 mode) ;
uint8   ROM_DOUT_ReadDataReg(void) ;
uint8   ROM_DOUT_Read(void) ;
uint8   ROM_DOUT_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define ROM_DOUT_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define ROM_DOUT_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define ROM_DOUT_DM_RES_UP          PIN_DM_RES_UP
#define ROM_DOUT_DM_RES_DWN         PIN_DM_RES_DWN
#define ROM_DOUT_DM_OD_LO           PIN_DM_OD_LO
#define ROM_DOUT_DM_OD_HI           PIN_DM_OD_HI
#define ROM_DOUT_DM_STRONG          PIN_DM_STRONG
#define ROM_DOUT_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define ROM_DOUT_MASK               ROM_DOUT__MASK
#define ROM_DOUT_SHIFT              ROM_DOUT__SHIFT
#define ROM_DOUT_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define ROM_DOUT_PS                     (* (reg8 *) ROM_DOUT__PS)
/* Data Register */
#define ROM_DOUT_DR                     (* (reg8 *) ROM_DOUT__DR)
/* Port Number */
#define ROM_DOUT_PRT_NUM                (* (reg8 *) ROM_DOUT__PRT) 
/* Connect to Analog Globals */                                                  
#define ROM_DOUT_AG                     (* (reg8 *) ROM_DOUT__AG)                       
/* Analog MUX bux enable */
#define ROM_DOUT_AMUX                   (* (reg8 *) ROM_DOUT__AMUX) 
/* Bidirectional Enable */                                                        
#define ROM_DOUT_BIE                    (* (reg8 *) ROM_DOUT__BIE)
/* Bit-mask for Aliased Register Access */
#define ROM_DOUT_BIT_MASK               (* (reg8 *) ROM_DOUT__BIT_MASK)
/* Bypass Enable */
#define ROM_DOUT_BYP                    (* (reg8 *) ROM_DOUT__BYP)
/* Port wide control signals */                                                   
#define ROM_DOUT_CTL                    (* (reg8 *) ROM_DOUT__CTL)
/* Drive Modes */
#define ROM_DOUT_DM0                    (* (reg8 *) ROM_DOUT__DM0) 
#define ROM_DOUT_DM1                    (* (reg8 *) ROM_DOUT__DM1)
#define ROM_DOUT_DM2                    (* (reg8 *) ROM_DOUT__DM2) 
/* Input Buffer Disable Override */
#define ROM_DOUT_INP_DIS                (* (reg8 *) ROM_DOUT__INP_DIS)
/* LCD Common or Segment Drive */
#define ROM_DOUT_LCD_COM_SEG            (* (reg8 *) ROM_DOUT__LCD_COM_SEG)
/* Enable Segment LCD */
#define ROM_DOUT_LCD_EN                 (* (reg8 *) ROM_DOUT__LCD_EN)
/* Slew Rate Control */
#define ROM_DOUT_SLW                    (* (reg8 *) ROM_DOUT__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define ROM_DOUT_PRTDSI__CAPS_SEL       (* (reg8 *) ROM_DOUT__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define ROM_DOUT_PRTDSI__DBL_SYNC_IN    (* (reg8 *) ROM_DOUT__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define ROM_DOUT_PRTDSI__OE_SEL0        (* (reg8 *) ROM_DOUT__PRTDSI__OE_SEL0) 
#define ROM_DOUT_PRTDSI__OE_SEL1        (* (reg8 *) ROM_DOUT__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define ROM_DOUT_PRTDSI__OUT_SEL0       (* (reg8 *) ROM_DOUT__PRTDSI__OUT_SEL0) 
#define ROM_DOUT_PRTDSI__OUT_SEL1       (* (reg8 *) ROM_DOUT__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define ROM_DOUT_PRTDSI__SYNC_OUT       (* (reg8 *) ROM_DOUT__PRTDSI__SYNC_OUT) 


#if defined(ROM_DOUT__INTSTAT)  /* Interrupt Registers */

    #define ROM_DOUT_INTSTAT                (* (reg8 *) ROM_DOUT__INTSTAT)
    #define ROM_DOUT_SNAP                   (* (reg8 *) ROM_DOUT__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_ROM_DOUT_H */


/* [] END OF FILE */
