/*******************************************************************************
* File Name: ROM_SPI_SCSN.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_ROM_SPI_SCSN_H) /* Pins ROM_SPI_SCSN_H */
#define CY_PINS_ROM_SPI_SCSN_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "ROM_SPI_SCSN_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_90 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 ROM_SPI_SCSN__PORT == 15 && ((ROM_SPI_SCSN__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    ROM_SPI_SCSN_Write(uint8 value) ;
void    ROM_SPI_SCSN_SetDriveMode(uint8 mode) ;
uint8   ROM_SPI_SCSN_ReadDataReg(void) ;
uint8   ROM_SPI_SCSN_Read(void) ;
uint8   ROM_SPI_SCSN_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define ROM_SPI_SCSN_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define ROM_SPI_SCSN_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define ROM_SPI_SCSN_DM_RES_UP          PIN_DM_RES_UP
#define ROM_SPI_SCSN_DM_RES_DWN         PIN_DM_RES_DWN
#define ROM_SPI_SCSN_DM_OD_LO           PIN_DM_OD_LO
#define ROM_SPI_SCSN_DM_OD_HI           PIN_DM_OD_HI
#define ROM_SPI_SCSN_DM_STRONG          PIN_DM_STRONG
#define ROM_SPI_SCSN_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define ROM_SPI_SCSN_MASK               ROM_SPI_SCSN__MASK
#define ROM_SPI_SCSN_SHIFT              ROM_SPI_SCSN__SHIFT
#define ROM_SPI_SCSN_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define ROM_SPI_SCSN_PS                     (* (reg8 *) ROM_SPI_SCSN__PS)
/* Data Register */
#define ROM_SPI_SCSN_DR                     (* (reg8 *) ROM_SPI_SCSN__DR)
/* Port Number */
#define ROM_SPI_SCSN_PRT_NUM                (* (reg8 *) ROM_SPI_SCSN__PRT) 
/* Connect to Analog Globals */                                                  
#define ROM_SPI_SCSN_AG                     (* (reg8 *) ROM_SPI_SCSN__AG)                       
/* Analog MUX bux enable */
#define ROM_SPI_SCSN_AMUX                   (* (reg8 *) ROM_SPI_SCSN__AMUX) 
/* Bidirectional Enable */                                                        
#define ROM_SPI_SCSN_BIE                    (* (reg8 *) ROM_SPI_SCSN__BIE)
/* Bit-mask for Aliased Register Access */
#define ROM_SPI_SCSN_BIT_MASK               (* (reg8 *) ROM_SPI_SCSN__BIT_MASK)
/* Bypass Enable */
#define ROM_SPI_SCSN_BYP                    (* (reg8 *) ROM_SPI_SCSN__BYP)
/* Port wide control signals */                                                   
#define ROM_SPI_SCSN_CTL                    (* (reg8 *) ROM_SPI_SCSN__CTL)
/* Drive Modes */
#define ROM_SPI_SCSN_DM0                    (* (reg8 *) ROM_SPI_SCSN__DM0) 
#define ROM_SPI_SCSN_DM1                    (* (reg8 *) ROM_SPI_SCSN__DM1)
#define ROM_SPI_SCSN_DM2                    (* (reg8 *) ROM_SPI_SCSN__DM2) 
/* Input Buffer Disable Override */
#define ROM_SPI_SCSN_INP_DIS                (* (reg8 *) ROM_SPI_SCSN__INP_DIS)
/* LCD Common or Segment Drive */
#define ROM_SPI_SCSN_LCD_COM_SEG            (* (reg8 *) ROM_SPI_SCSN__LCD_COM_SEG)
/* Enable Segment LCD */
#define ROM_SPI_SCSN_LCD_EN                 (* (reg8 *) ROM_SPI_SCSN__LCD_EN)
/* Slew Rate Control */
#define ROM_SPI_SCSN_SLW                    (* (reg8 *) ROM_SPI_SCSN__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define ROM_SPI_SCSN_PRTDSI__CAPS_SEL       (* (reg8 *) ROM_SPI_SCSN__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define ROM_SPI_SCSN_PRTDSI__DBL_SYNC_IN    (* (reg8 *) ROM_SPI_SCSN__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define ROM_SPI_SCSN_PRTDSI__OE_SEL0        (* (reg8 *) ROM_SPI_SCSN__PRTDSI__OE_SEL0) 
#define ROM_SPI_SCSN_PRTDSI__OE_SEL1        (* (reg8 *) ROM_SPI_SCSN__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define ROM_SPI_SCSN_PRTDSI__OUT_SEL0       (* (reg8 *) ROM_SPI_SCSN__PRTDSI__OUT_SEL0) 
#define ROM_SPI_SCSN_PRTDSI__OUT_SEL1       (* (reg8 *) ROM_SPI_SCSN__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define ROM_SPI_SCSN_PRTDSI__SYNC_OUT       (* (reg8 *) ROM_SPI_SCSN__PRTDSI__SYNC_OUT) 


#if defined(ROM_SPI_SCSN__INTSTAT)  /* Interrupt Registers */

    #define ROM_SPI_SCSN_INTSTAT                (* (reg8 *) ROM_SPI_SCSN__INTSTAT)
    #define ROM_SPI_SCSN_SNAP                   (* (reg8 *) ROM_SPI_SCSN__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_ROM_SPI_SCSN_H */


/* [] END OF FILE */
