/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "cytypes.h"
#include "SPI3LANES_1.h"

//--------------------------------
// Transmit 48bit Data on 3-lanes
//--------------------------------
void SPI3LANES_1_Put_TxData(sSPI3Data *txdata)
{
    uint8 status;    
    //----------------------
    // Check Tx FIFO Status
    //----------------------
    while(1)
    {
        status = SPI3LANES_1_REG_STATUS;
        if (status & 0x01) break; // if notfull
    }
    //--------------------
    // Transmit 48bit Data
    //--------------------
    SPI3LANES_1_REG_TXDATA0 = txdata->data0;
    SPI3LANES_1_REG_TXDATA1 = txdata->data1;
    SPI3LANES_1_REG_TXDATA2 = txdata->data2;
    SPI3LANES_1_REG_TXDATA3 = txdata->data3;
    SPI3LANES_1_REG_TXDATA4 = txdata->data4;
    SPI3LANES_1_REG_TXDATA5 = txdata->data5;
}

//--------------------------------
// Receive 48bit Data on 3-lanes
//--------------------------------
void SPI3LANES_1_Get_RxData(sSPI3Data *rxdata)
{
    uint8  status;    
    //----------------------
    // Check Rx FIFO Status
    //----------------------
    while(1)
    {
        status = SPI3LANES_1_REG_STATUS;
        if (status & 0x02) break; // if notempty
    }
    //--------------------
    // Receive 48bit Data
    //--------------------
    rxdata->data0 = SPI3LANES_1_REG_RXDATA0;
    rxdata->data1 = SPI3LANES_1_REG_RXDATA1;
    rxdata->data2 = SPI3LANES_1_REG_RXDATA2;
    rxdata->data3 = SPI3LANES_1_REG_RXDATA3;
    rxdata->data4 = SPI3LANES_1_REG_RXDATA4;
    rxdata->data5 = SPI3LANES_1_REG_RXDATA5;
}

//--------------------------------------------
// Transmit and Receive 48bit Data on 3-lanes
//--------------------------------------------
void SPI3LANES_1_TxRxData(sSPI3Data *txrxdata)
{
    SPI3LANES_1_Put_TxData(txrxdata);
    SPI3LANES_1_Get_RxData(txrxdata);
}

/* [] END OF FILE */
