/*******************************************************************************
* File Name: SPI3_MO.h  
* Version 1.80
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SPI3_MO_H) /* Pins SPI3_MO_H */
#define CY_PINS_SPI3_MO_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "SPI3_MO_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_80 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 SPI3_MO__PORT == 15 && ((SPI3_MO__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    SPI3_MO_Write(uint8 value) ;
void    SPI3_MO_SetDriveMode(uint8 mode) ;
uint8   SPI3_MO_ReadDataReg(void) ;
uint8   SPI3_MO_Read(void) ;
uint8   SPI3_MO_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define SPI3_MO_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define SPI3_MO_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define SPI3_MO_DM_RES_UP          PIN_DM_RES_UP
#define SPI3_MO_DM_RES_DWN         PIN_DM_RES_DWN
#define SPI3_MO_DM_OD_LO           PIN_DM_OD_LO
#define SPI3_MO_DM_OD_HI           PIN_DM_OD_HI
#define SPI3_MO_DM_STRONG          PIN_DM_STRONG
#define SPI3_MO_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define SPI3_MO_MASK               SPI3_MO__MASK
#define SPI3_MO_SHIFT              SPI3_MO__SHIFT
#define SPI3_MO_WIDTH              3u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define SPI3_MO_PS                     (* (reg8 *) SPI3_MO__PS)
/* Data Register */
#define SPI3_MO_DR                     (* (reg8 *) SPI3_MO__DR)
/* Port Number */
#define SPI3_MO_PRT_NUM                (* (reg8 *) SPI3_MO__PRT) 
/* Connect to Analog Globals */                                                  
#define SPI3_MO_AG                     (* (reg8 *) SPI3_MO__AG)                       
/* Analog MUX bux enable */
#define SPI3_MO_AMUX                   (* (reg8 *) SPI3_MO__AMUX) 
/* Bidirectional Enable */                                                        
#define SPI3_MO_BIE                    (* (reg8 *) SPI3_MO__BIE)
/* Bit-mask for Aliased Register Access */
#define SPI3_MO_BIT_MASK               (* (reg8 *) SPI3_MO__BIT_MASK)
/* Bypass Enable */
#define SPI3_MO_BYP                    (* (reg8 *) SPI3_MO__BYP)
/* Port wide control signals */                                                   
#define SPI3_MO_CTL                    (* (reg8 *) SPI3_MO__CTL)
/* Drive Modes */
#define SPI3_MO_DM0                    (* (reg8 *) SPI3_MO__DM0) 
#define SPI3_MO_DM1                    (* (reg8 *) SPI3_MO__DM1)
#define SPI3_MO_DM2                    (* (reg8 *) SPI3_MO__DM2) 
/* Input Buffer Disable Override */
#define SPI3_MO_INP_DIS                (* (reg8 *) SPI3_MO__INP_DIS)
/* LCD Common or Segment Drive */
#define SPI3_MO_LCD_COM_SEG            (* (reg8 *) SPI3_MO__LCD_COM_SEG)
/* Enable Segment LCD */
#define SPI3_MO_LCD_EN                 (* (reg8 *) SPI3_MO__LCD_EN)
/* Slew Rate Control */
#define SPI3_MO_SLW                    (* (reg8 *) SPI3_MO__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define SPI3_MO_PRTDSI__CAPS_SEL       (* (reg8 *) SPI3_MO__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define SPI3_MO_PRTDSI__DBL_SYNC_IN    (* (reg8 *) SPI3_MO__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define SPI3_MO_PRTDSI__OE_SEL0        (* (reg8 *) SPI3_MO__PRTDSI__OE_SEL0) 
#define SPI3_MO_PRTDSI__OE_SEL1        (* (reg8 *) SPI3_MO__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define SPI3_MO_PRTDSI__OUT_SEL0       (* (reg8 *) SPI3_MO__PRTDSI__OUT_SEL0) 
#define SPI3_MO_PRTDSI__OUT_SEL1       (* (reg8 *) SPI3_MO__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define SPI3_MO_PRTDSI__SYNC_OUT       (* (reg8 *) SPI3_MO__PRTDSI__SYNC_OUT) 


#if defined(SPI3_MO__INTSTAT)  /* Interrupt Registers */

    #define SPI3_MO_INTSTAT                (* (reg8 *) SPI3_MO__INTSTAT)
    #define SPI3_MO_SNAP                   (* (reg8 *) SPI3_MO__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_SPI3_MO_H */


/* [] END OF FILE */
