/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "cytypes.h"
#include "SPI5LANES_1.h"

//--------------------------------
// Transmit 40bit Data on 5-lanes
//--------------------------------
void SPI5LANES_1_Put_TxData(sSPI5Data *txdata)
{
    uint8 status;    
    //----------------------
    // Check Tx FIFO Status
    //----------------------
    while(1)
    {
        status = SPI5LANES_1_REG_STATUS;
        if (status & 0x01) break; // if notfull
    }
    //--------------------
    // Transmit 40bit Data
    //--------------------
    SPI5LANES_1_REG_TXDATA0 = txdata->data0;
    SPI5LANES_1_REG_TXDATA1 = txdata->data1;
    SPI5LANES_1_REG_TXDATA2 = txdata->data2;
    SPI5LANES_1_REG_TXDATA3 = txdata->data3;
    SPI5LANES_1_REG_TXDATA4 = txdata->data4;
}

//--------------------------------
// Receive 40bit Data on 5-lanes
//--------------------------------
void SPI5LANES_1_Get_RxData(sSPI5Data *rxdata)
{
    uint8  status;    
    //----------------------
    // Check Rx FIFO Status
    //----------------------
    while(1)
    {
        status = SPI5LANES_1_REG_STATUS;
        if (status & 0x02) break; // if notempty
    }
    //--------------------
    // Receive 32bit Data
    //--------------------
    rxdata->data0 = SPI5LANES_1_REG_RXDATA0;
    rxdata->data1 = SPI5LANES_1_REG_RXDATA1;
    rxdata->data2 = SPI5LANES_1_REG_RXDATA2;
    rxdata->data3 = SPI5LANES_1_REG_RXDATA3;
    rxdata->data4 = SPI5LANES_1_REG_RXDATA4;
}

//--------------------------------------------
// Transmit and Receive 40bit Data on 5-lanes
//--------------------------------------------
void SPI5LANES_1_TxRxData(sSPI5Data *txrxdata)
{
    SPI5LANES_1_Put_TxData(txrxdata);
    SPI5LANES_1_Get_RxData(txrxdata);
}

/* [] END OF FILE */
