/*******************************************************************************
* File Name: SPI5_MOMI.h  
* Version 1.80
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SPI5_MOMI_H) /* Pins SPI5_MOMI_H */
#define CY_PINS_SPI5_MOMI_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "SPI5_MOMI_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_80 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 SPI5_MOMI__PORT == 15 && ((SPI5_MOMI__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    SPI5_MOMI_Write(uint8 value) ;
void    SPI5_MOMI_SetDriveMode(uint8 mode) ;
uint8   SPI5_MOMI_ReadDataReg(void) ;
uint8   SPI5_MOMI_Read(void) ;
uint8   SPI5_MOMI_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define SPI5_MOMI_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define SPI5_MOMI_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define SPI5_MOMI_DM_RES_UP          PIN_DM_RES_UP
#define SPI5_MOMI_DM_RES_DWN         PIN_DM_RES_DWN
#define SPI5_MOMI_DM_OD_LO           PIN_DM_OD_LO
#define SPI5_MOMI_DM_OD_HI           PIN_DM_OD_HI
#define SPI5_MOMI_DM_STRONG          PIN_DM_STRONG
#define SPI5_MOMI_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define SPI5_MOMI_MASK               SPI5_MOMI__MASK
#define SPI5_MOMI_SHIFT              SPI5_MOMI__SHIFT
#define SPI5_MOMI_WIDTH              5u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define SPI5_MOMI_PS                     (* (reg8 *) SPI5_MOMI__PS)
/* Data Register */
#define SPI5_MOMI_DR                     (* (reg8 *) SPI5_MOMI__DR)
/* Port Number */
#define SPI5_MOMI_PRT_NUM                (* (reg8 *) SPI5_MOMI__PRT) 
/* Connect to Analog Globals */                                                  
#define SPI5_MOMI_AG                     (* (reg8 *) SPI5_MOMI__AG)                       
/* Analog MUX bux enable */
#define SPI5_MOMI_AMUX                   (* (reg8 *) SPI5_MOMI__AMUX) 
/* Bidirectional Enable */                                                        
#define SPI5_MOMI_BIE                    (* (reg8 *) SPI5_MOMI__BIE)
/* Bit-mask for Aliased Register Access */
#define SPI5_MOMI_BIT_MASK               (* (reg8 *) SPI5_MOMI__BIT_MASK)
/* Bypass Enable */
#define SPI5_MOMI_BYP                    (* (reg8 *) SPI5_MOMI__BYP)
/* Port wide control signals */                                                   
#define SPI5_MOMI_CTL                    (* (reg8 *) SPI5_MOMI__CTL)
/* Drive Modes */
#define SPI5_MOMI_DM0                    (* (reg8 *) SPI5_MOMI__DM0) 
#define SPI5_MOMI_DM1                    (* (reg8 *) SPI5_MOMI__DM1)
#define SPI5_MOMI_DM2                    (* (reg8 *) SPI5_MOMI__DM2) 
/* Input Buffer Disable Override */
#define SPI5_MOMI_INP_DIS                (* (reg8 *) SPI5_MOMI__INP_DIS)
/* LCD Common or Segment Drive */
#define SPI5_MOMI_LCD_COM_SEG            (* (reg8 *) SPI5_MOMI__LCD_COM_SEG)
/* Enable Segment LCD */
#define SPI5_MOMI_LCD_EN                 (* (reg8 *) SPI5_MOMI__LCD_EN)
/* Slew Rate Control */
#define SPI5_MOMI_SLW                    (* (reg8 *) SPI5_MOMI__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define SPI5_MOMI_PRTDSI__CAPS_SEL       (* (reg8 *) SPI5_MOMI__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define SPI5_MOMI_PRTDSI__DBL_SYNC_IN    (* (reg8 *) SPI5_MOMI__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define SPI5_MOMI_PRTDSI__OE_SEL0        (* (reg8 *) SPI5_MOMI__PRTDSI__OE_SEL0) 
#define SPI5_MOMI_PRTDSI__OE_SEL1        (* (reg8 *) SPI5_MOMI__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define SPI5_MOMI_PRTDSI__OUT_SEL0       (* (reg8 *) SPI5_MOMI__PRTDSI__OUT_SEL0) 
#define SPI5_MOMI_PRTDSI__OUT_SEL1       (* (reg8 *) SPI5_MOMI__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define SPI5_MOMI_PRTDSI__SYNC_OUT       (* (reg8 *) SPI5_MOMI__PRTDSI__SYNC_OUT) 


#if defined(SPI5_MOMI__INTSTAT)  /* Interrupt Registers */

    #define SPI5_MOMI_INTSTAT                (* (reg8 *) SPI5_MOMI__INTSTAT)
    #define SPI5_MOMI_SNAP                   (* (reg8 *) SPI5_MOMI__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_SPI5_MOMI_H */


/* [] END OF FILE */
