/*******************************************************************************
* File Name: SPI_SCSN_SPIROM.c  
* Version 1.90
*
* Description:
*  This file contains API to enable firmware control of a Pins component.
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#include "cytypes.h"
#include "SPI_SCSN_SPIROM.h"

/* APIs are not generated for P15[7:6] on PSoC 5 */
#if !(CY_PSOC5A &&\
	 SPI_SCSN_SPIROM__PORT == 15 && ((SPI_SCSN_SPIROM__MASK & 0xC0) != 0))


/*******************************************************************************
* Function Name: SPI_SCSN_SPIROM_Write
********************************************************************************
*
* Summary:
*  Assign a new value to the digital port's data output register.  
*
* Parameters:  
*  prtValue:  The value to be assigned to the Digital Port. 
*
* Return: 
*  None
*  
*******************************************************************************/
void SPI_SCSN_SPIROM_Write(uint8 value) 
{
    uint8 staticBits = (SPI_SCSN_SPIROM_DR & (uint8)(~SPI_SCSN_SPIROM_MASK));
    SPI_SCSN_SPIROM_DR = staticBits | ((uint8)(value << SPI_SCSN_SPIROM_SHIFT) & SPI_SCSN_SPIROM_MASK);
}


/*******************************************************************************
* Function Name: SPI_SCSN_SPIROM_SetDriveMode
********************************************************************************
*
* Summary:
*  Change the drive mode on the pins of the port.
* 
* Parameters:  
*  mode:  Change the pins to this drive mode.
*
* Return: 
*  None
*
*******************************************************************************/
void SPI_SCSN_SPIROM_SetDriveMode(uint8 mode) 
{
	CyPins_SetPinDriveMode(SPI_SCSN_SPIROM_0, mode);
}


/*******************************************************************************
* Function Name: SPI_SCSN_SPIROM_Read
********************************************************************************
*
* Summary:
*  Read the current value on the pins of the Digital Port in right justified 
*  form.
*
* Parameters:  
*  None
*
* Return: 
*  Returns the current value of the Digital Port as a right justified number
*  
* Note:
*  Macro SPI_SCSN_SPIROM_ReadPS calls this function. 
*  
*******************************************************************************/
uint8 SPI_SCSN_SPIROM_Read(void) 
{
    return (SPI_SCSN_SPIROM_PS & SPI_SCSN_SPIROM_MASK) >> SPI_SCSN_SPIROM_SHIFT;
}


/*******************************************************************************
* Function Name: SPI_SCSN_SPIROM_ReadDataReg
********************************************************************************
*
* Summary:
*  Read the current value assigned to a Digital Port's data output register
*
* Parameters:  
*  None 
*
* Return: 
*  Returns the current value assigned to the Digital Port's data output register
*  
*******************************************************************************/
uint8 SPI_SCSN_SPIROM_ReadDataReg(void) 
{
    return (SPI_SCSN_SPIROM_DR & SPI_SCSN_SPIROM_MASK) >> SPI_SCSN_SPIROM_SHIFT;
}


/* If Interrupts Are Enabled for this Pins component */ 
#if defined(SPI_SCSN_SPIROM_INTSTAT) 

    /*******************************************************************************
    * Function Name: SPI_SCSN_SPIROM_ClearInterrupt
    ********************************************************************************
    * Summary:
    *  Clears any active interrupts attached to port and returns the value of the 
    *  interrupt status register.
    *
    * Parameters:  
    *  None 
    *
    * Return: 
    *  Returns the value of the interrupt status register
    *  
    *******************************************************************************/
    uint8 SPI_SCSN_SPIROM_ClearInterrupt(void) 
    {
        return (SPI_SCSN_SPIROM_INTSTAT & SPI_SCSN_SPIROM_MASK) >> SPI_SCSN_SPIROM_SHIFT;
    }

#endif /* If Interrupts Are Enabled for this Pins component */ 

#endif /* CY_PSOC5A... */

    
/* [] END OF FILE */
