/*******************************************************************************
* File Name: SPI_SCSN_SPIROM.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SPI_SCSN_SPIROM_H) /* Pins SPI_SCSN_SPIROM_H */
#define CY_PINS_SPI_SCSN_SPIROM_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "SPI_SCSN_SPIROM_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_90 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 SPI_SCSN_SPIROM__PORT == 15 && ((SPI_SCSN_SPIROM__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    SPI_SCSN_SPIROM_Write(uint8 value) ;
void    SPI_SCSN_SPIROM_SetDriveMode(uint8 mode) ;
uint8   SPI_SCSN_SPIROM_ReadDataReg(void) ;
uint8   SPI_SCSN_SPIROM_Read(void) ;
uint8   SPI_SCSN_SPIROM_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define SPI_SCSN_SPIROM_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define SPI_SCSN_SPIROM_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define SPI_SCSN_SPIROM_DM_RES_UP          PIN_DM_RES_UP
#define SPI_SCSN_SPIROM_DM_RES_DWN         PIN_DM_RES_DWN
#define SPI_SCSN_SPIROM_DM_OD_LO           PIN_DM_OD_LO
#define SPI_SCSN_SPIROM_DM_OD_HI           PIN_DM_OD_HI
#define SPI_SCSN_SPIROM_DM_STRONG          PIN_DM_STRONG
#define SPI_SCSN_SPIROM_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define SPI_SCSN_SPIROM_MASK               SPI_SCSN_SPIROM__MASK
#define SPI_SCSN_SPIROM_SHIFT              SPI_SCSN_SPIROM__SHIFT
#define SPI_SCSN_SPIROM_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define SPI_SCSN_SPIROM_PS                     (* (reg8 *) SPI_SCSN_SPIROM__PS)
/* Data Register */
#define SPI_SCSN_SPIROM_DR                     (* (reg8 *) SPI_SCSN_SPIROM__DR)
/* Port Number */
#define SPI_SCSN_SPIROM_PRT_NUM                (* (reg8 *) SPI_SCSN_SPIROM__PRT) 
/* Connect to Analog Globals */                                                  
#define SPI_SCSN_SPIROM_AG                     (* (reg8 *) SPI_SCSN_SPIROM__AG)                       
/* Analog MUX bux enable */
#define SPI_SCSN_SPIROM_AMUX                   (* (reg8 *) SPI_SCSN_SPIROM__AMUX) 
/* Bidirectional Enable */                                                        
#define SPI_SCSN_SPIROM_BIE                    (* (reg8 *) SPI_SCSN_SPIROM__BIE)
/* Bit-mask for Aliased Register Access */
#define SPI_SCSN_SPIROM_BIT_MASK               (* (reg8 *) SPI_SCSN_SPIROM__BIT_MASK)
/* Bypass Enable */
#define SPI_SCSN_SPIROM_BYP                    (* (reg8 *) SPI_SCSN_SPIROM__BYP)
/* Port wide control signals */                                                   
#define SPI_SCSN_SPIROM_CTL                    (* (reg8 *) SPI_SCSN_SPIROM__CTL)
/* Drive Modes */
#define SPI_SCSN_SPIROM_DM0                    (* (reg8 *) SPI_SCSN_SPIROM__DM0) 
#define SPI_SCSN_SPIROM_DM1                    (* (reg8 *) SPI_SCSN_SPIROM__DM1)
#define SPI_SCSN_SPIROM_DM2                    (* (reg8 *) SPI_SCSN_SPIROM__DM2) 
/* Input Buffer Disable Override */
#define SPI_SCSN_SPIROM_INP_DIS                (* (reg8 *) SPI_SCSN_SPIROM__INP_DIS)
/* LCD Common or Segment Drive */
#define SPI_SCSN_SPIROM_LCD_COM_SEG            (* (reg8 *) SPI_SCSN_SPIROM__LCD_COM_SEG)
/* Enable Segment LCD */
#define SPI_SCSN_SPIROM_LCD_EN                 (* (reg8 *) SPI_SCSN_SPIROM__LCD_EN)
/* Slew Rate Control */
#define SPI_SCSN_SPIROM_SLW                    (* (reg8 *) SPI_SCSN_SPIROM__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define SPI_SCSN_SPIROM_PRTDSI__CAPS_SEL       (* (reg8 *) SPI_SCSN_SPIROM__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define SPI_SCSN_SPIROM_PRTDSI__DBL_SYNC_IN    (* (reg8 *) SPI_SCSN_SPIROM__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define SPI_SCSN_SPIROM_PRTDSI__OE_SEL0        (* (reg8 *) SPI_SCSN_SPIROM__PRTDSI__OE_SEL0) 
#define SPI_SCSN_SPIROM_PRTDSI__OE_SEL1        (* (reg8 *) SPI_SCSN_SPIROM__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define SPI_SCSN_SPIROM_PRTDSI__OUT_SEL0       (* (reg8 *) SPI_SCSN_SPIROM__PRTDSI__OUT_SEL0) 
#define SPI_SCSN_SPIROM_PRTDSI__OUT_SEL1       (* (reg8 *) SPI_SCSN_SPIROM__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define SPI_SCSN_SPIROM_PRTDSI__SYNC_OUT       (* (reg8 *) SPI_SCSN_SPIROM__PRTDSI__SYNC_OUT) 


#if defined(SPI_SCSN_SPIROM__INTSTAT)  /* Interrupt Registers */

    #define SPI_SCSN_SPIROM_INTSTAT                (* (reg8 *) SPI_SCSN_SPIROM__INTSTAT)
    #define SPI_SCSN_SPIROM_SNAP                   (* (reg8 *) SPI_SCSN_SPIROM__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_SPI_SCSN_SPIROM_H */


/* [] END OF FILE */
