/*******************************************************************************
* File Name: TCK.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_TCK_H) /* Pins TCK_H */
#define CY_PINS_TCK_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "TCK_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_90 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 TCK__PORT == 15 && ((TCK__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    TCK_Write(uint8 value) ;
void    TCK_SetDriveMode(uint8 mode) ;
uint8   TCK_ReadDataReg(void) ;
uint8   TCK_Read(void) ;
uint8   TCK_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define TCK_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define TCK_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define TCK_DM_RES_UP          PIN_DM_RES_UP
#define TCK_DM_RES_DWN         PIN_DM_RES_DWN
#define TCK_DM_OD_LO           PIN_DM_OD_LO
#define TCK_DM_OD_HI           PIN_DM_OD_HI
#define TCK_DM_STRONG          PIN_DM_STRONG
#define TCK_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define TCK_MASK               TCK__MASK
#define TCK_SHIFT              TCK__SHIFT
#define TCK_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define TCK_PS                     (* (reg8 *) TCK__PS)
/* Data Register */
#define TCK_DR                     (* (reg8 *) TCK__DR)
/* Port Number */
#define TCK_PRT_NUM                (* (reg8 *) TCK__PRT) 
/* Connect to Analog Globals */                                                  
#define TCK_AG                     (* (reg8 *) TCK__AG)                       
/* Analog MUX bux enable */
#define TCK_AMUX                   (* (reg8 *) TCK__AMUX) 
/* Bidirectional Enable */                                                        
#define TCK_BIE                    (* (reg8 *) TCK__BIE)
/* Bit-mask for Aliased Register Access */
#define TCK_BIT_MASK               (* (reg8 *) TCK__BIT_MASK)
/* Bypass Enable */
#define TCK_BYP                    (* (reg8 *) TCK__BYP)
/* Port wide control signals */                                                   
#define TCK_CTL                    (* (reg8 *) TCK__CTL)
/* Drive Modes */
#define TCK_DM0                    (* (reg8 *) TCK__DM0) 
#define TCK_DM1                    (* (reg8 *) TCK__DM1)
#define TCK_DM2                    (* (reg8 *) TCK__DM2) 
/* Input Buffer Disable Override */
#define TCK_INP_DIS                (* (reg8 *) TCK__INP_DIS)
/* LCD Common or Segment Drive */
#define TCK_LCD_COM_SEG            (* (reg8 *) TCK__LCD_COM_SEG)
/* Enable Segment LCD */
#define TCK_LCD_EN                 (* (reg8 *) TCK__LCD_EN)
/* Slew Rate Control */
#define TCK_SLW                    (* (reg8 *) TCK__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define TCK_PRTDSI__CAPS_SEL       (* (reg8 *) TCK__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define TCK_PRTDSI__DBL_SYNC_IN    (* (reg8 *) TCK__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define TCK_PRTDSI__OE_SEL0        (* (reg8 *) TCK__PRTDSI__OE_SEL0) 
#define TCK_PRTDSI__OE_SEL1        (* (reg8 *) TCK__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define TCK_PRTDSI__OUT_SEL0       (* (reg8 *) TCK__PRTDSI__OUT_SEL0) 
#define TCK_PRTDSI__OUT_SEL1       (* (reg8 *) TCK__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define TCK_PRTDSI__SYNC_OUT       (* (reg8 *) TCK__PRTDSI__SYNC_OUT) 


#if defined(TCK__INTSTAT)  /* Interrupt Registers */

    #define TCK_INTSTAT                (* (reg8 *) TCK__INTSTAT)
    #define TCK_SNAP                   (* (reg8 *) TCK__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_TCK_H */


/* [] END OF FILE */
