/*******************************************************************************
* File Name: TDI.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_TDI_H) /* Pins TDI_H */
#define CY_PINS_TDI_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "TDI_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_90 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 TDI__PORT == 15 && ((TDI__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    TDI_Write(uint8 value) ;
void    TDI_SetDriveMode(uint8 mode) ;
uint8   TDI_ReadDataReg(void) ;
uint8   TDI_Read(void) ;
uint8   TDI_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define TDI_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define TDI_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define TDI_DM_RES_UP          PIN_DM_RES_UP
#define TDI_DM_RES_DWN         PIN_DM_RES_DWN
#define TDI_DM_OD_LO           PIN_DM_OD_LO
#define TDI_DM_OD_HI           PIN_DM_OD_HI
#define TDI_DM_STRONG          PIN_DM_STRONG
#define TDI_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define TDI_MASK               TDI__MASK
#define TDI_SHIFT              TDI__SHIFT
#define TDI_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define TDI_PS                     (* (reg8 *) TDI__PS)
/* Data Register */
#define TDI_DR                     (* (reg8 *) TDI__DR)
/* Port Number */
#define TDI_PRT_NUM                (* (reg8 *) TDI__PRT) 
/* Connect to Analog Globals */                                                  
#define TDI_AG                     (* (reg8 *) TDI__AG)                       
/* Analog MUX bux enable */
#define TDI_AMUX                   (* (reg8 *) TDI__AMUX) 
/* Bidirectional Enable */                                                        
#define TDI_BIE                    (* (reg8 *) TDI__BIE)
/* Bit-mask for Aliased Register Access */
#define TDI_BIT_MASK               (* (reg8 *) TDI__BIT_MASK)
/* Bypass Enable */
#define TDI_BYP                    (* (reg8 *) TDI__BYP)
/* Port wide control signals */                                                   
#define TDI_CTL                    (* (reg8 *) TDI__CTL)
/* Drive Modes */
#define TDI_DM0                    (* (reg8 *) TDI__DM0) 
#define TDI_DM1                    (* (reg8 *) TDI__DM1)
#define TDI_DM2                    (* (reg8 *) TDI__DM2) 
/* Input Buffer Disable Override */
#define TDI_INP_DIS                (* (reg8 *) TDI__INP_DIS)
/* LCD Common or Segment Drive */
#define TDI_LCD_COM_SEG            (* (reg8 *) TDI__LCD_COM_SEG)
/* Enable Segment LCD */
#define TDI_LCD_EN                 (* (reg8 *) TDI__LCD_EN)
/* Slew Rate Control */
#define TDI_SLW                    (* (reg8 *) TDI__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define TDI_PRTDSI__CAPS_SEL       (* (reg8 *) TDI__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define TDI_PRTDSI__DBL_SYNC_IN    (* (reg8 *) TDI__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define TDI_PRTDSI__OE_SEL0        (* (reg8 *) TDI__PRTDSI__OE_SEL0) 
#define TDI_PRTDSI__OE_SEL1        (* (reg8 *) TDI__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define TDI_PRTDSI__OUT_SEL0       (* (reg8 *) TDI__PRTDSI__OUT_SEL0) 
#define TDI_PRTDSI__OUT_SEL1       (* (reg8 *) TDI__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define TDI_PRTDSI__SYNC_OUT       (* (reg8 *) TDI__PRTDSI__SYNC_OUT) 


#if defined(TDI__INTSTAT)  /* Interrupt Registers */

    #define TDI_INTSTAT                (* (reg8 *) TDI__INTSTAT)
    #define TDI_SNAP                   (* (reg8 *) TDI__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_TDI_H */


/* [] END OF FILE */
