/*******************************************************************************
* File Name: TDO.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_TDO_H) /* Pins TDO_H */
#define CY_PINS_TDO_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "TDO_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_90 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 TDO__PORT == 15 && ((TDO__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    TDO_Write(uint8 value) ;
void    TDO_SetDriveMode(uint8 mode) ;
uint8   TDO_ReadDataReg(void) ;
uint8   TDO_Read(void) ;
uint8   TDO_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define TDO_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define TDO_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define TDO_DM_RES_UP          PIN_DM_RES_UP
#define TDO_DM_RES_DWN         PIN_DM_RES_DWN
#define TDO_DM_OD_LO           PIN_DM_OD_LO
#define TDO_DM_OD_HI           PIN_DM_OD_HI
#define TDO_DM_STRONG          PIN_DM_STRONG
#define TDO_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define TDO_MASK               TDO__MASK
#define TDO_SHIFT              TDO__SHIFT
#define TDO_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define TDO_PS                     (* (reg8 *) TDO__PS)
/* Data Register */
#define TDO_DR                     (* (reg8 *) TDO__DR)
/* Port Number */
#define TDO_PRT_NUM                (* (reg8 *) TDO__PRT) 
/* Connect to Analog Globals */                                                  
#define TDO_AG                     (* (reg8 *) TDO__AG)                       
/* Analog MUX bux enable */
#define TDO_AMUX                   (* (reg8 *) TDO__AMUX) 
/* Bidirectional Enable */                                                        
#define TDO_BIE                    (* (reg8 *) TDO__BIE)
/* Bit-mask for Aliased Register Access */
#define TDO_BIT_MASK               (* (reg8 *) TDO__BIT_MASK)
/* Bypass Enable */
#define TDO_BYP                    (* (reg8 *) TDO__BYP)
/* Port wide control signals */                                                   
#define TDO_CTL                    (* (reg8 *) TDO__CTL)
/* Drive Modes */
#define TDO_DM0                    (* (reg8 *) TDO__DM0) 
#define TDO_DM1                    (* (reg8 *) TDO__DM1)
#define TDO_DM2                    (* (reg8 *) TDO__DM2) 
/* Input Buffer Disable Override */
#define TDO_INP_DIS                (* (reg8 *) TDO__INP_DIS)
/* LCD Common or Segment Drive */
#define TDO_LCD_COM_SEG            (* (reg8 *) TDO__LCD_COM_SEG)
/* Enable Segment LCD */
#define TDO_LCD_EN                 (* (reg8 *) TDO__LCD_EN)
/* Slew Rate Control */
#define TDO_SLW                    (* (reg8 *) TDO__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define TDO_PRTDSI__CAPS_SEL       (* (reg8 *) TDO__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define TDO_PRTDSI__DBL_SYNC_IN    (* (reg8 *) TDO__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define TDO_PRTDSI__OE_SEL0        (* (reg8 *) TDO__PRTDSI__OE_SEL0) 
#define TDO_PRTDSI__OE_SEL1        (* (reg8 *) TDO__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define TDO_PRTDSI__OUT_SEL0       (* (reg8 *) TDO__PRTDSI__OUT_SEL0) 
#define TDO_PRTDSI__OUT_SEL1       (* (reg8 *) TDO__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define TDO_PRTDSI__SYNC_OUT       (* (reg8 *) TDO__PRTDSI__SYNC_OUT) 


#if defined(TDO__INTSTAT)  /* Interrupt Registers */

    #define TDO_INTSTAT                (* (reg8 *) TDO__INTSTAT)
    #define TDO_SNAP                   (* (reg8 *) TDO__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_TDO_H */


/* [] END OF FILE */
