/*******************************************************************************
* File Name: TMS.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_TMS_H) /* Pins TMS_H */
#define CY_PINS_TMS_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "TMS_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_90 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 TMS__PORT == 15 && ((TMS__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    TMS_Write(uint8 value) ;
void    TMS_SetDriveMode(uint8 mode) ;
uint8   TMS_ReadDataReg(void) ;
uint8   TMS_Read(void) ;
uint8   TMS_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define TMS_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define TMS_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define TMS_DM_RES_UP          PIN_DM_RES_UP
#define TMS_DM_RES_DWN         PIN_DM_RES_DWN
#define TMS_DM_OD_LO           PIN_DM_OD_LO
#define TMS_DM_OD_HI           PIN_DM_OD_HI
#define TMS_DM_STRONG          PIN_DM_STRONG
#define TMS_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define TMS_MASK               TMS__MASK
#define TMS_SHIFT              TMS__SHIFT
#define TMS_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define TMS_PS                     (* (reg8 *) TMS__PS)
/* Data Register */
#define TMS_DR                     (* (reg8 *) TMS__DR)
/* Port Number */
#define TMS_PRT_NUM                (* (reg8 *) TMS__PRT) 
/* Connect to Analog Globals */                                                  
#define TMS_AG                     (* (reg8 *) TMS__AG)                       
/* Analog MUX bux enable */
#define TMS_AMUX                   (* (reg8 *) TMS__AMUX) 
/* Bidirectional Enable */                                                        
#define TMS_BIE                    (* (reg8 *) TMS__BIE)
/* Bit-mask for Aliased Register Access */
#define TMS_BIT_MASK               (* (reg8 *) TMS__BIT_MASK)
/* Bypass Enable */
#define TMS_BYP                    (* (reg8 *) TMS__BYP)
/* Port wide control signals */                                                   
#define TMS_CTL                    (* (reg8 *) TMS__CTL)
/* Drive Modes */
#define TMS_DM0                    (* (reg8 *) TMS__DM0) 
#define TMS_DM1                    (* (reg8 *) TMS__DM1)
#define TMS_DM2                    (* (reg8 *) TMS__DM2) 
/* Input Buffer Disable Override */
#define TMS_INP_DIS                (* (reg8 *) TMS__INP_DIS)
/* LCD Common or Segment Drive */
#define TMS_LCD_COM_SEG            (* (reg8 *) TMS__LCD_COM_SEG)
/* Enable Segment LCD */
#define TMS_LCD_EN                 (* (reg8 *) TMS__LCD_EN)
/* Slew Rate Control */
#define TMS_SLW                    (* (reg8 *) TMS__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define TMS_PRTDSI__CAPS_SEL       (* (reg8 *) TMS__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define TMS_PRTDSI__DBL_SYNC_IN    (* (reg8 *) TMS__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define TMS_PRTDSI__OE_SEL0        (* (reg8 *) TMS__PRTDSI__OE_SEL0) 
#define TMS_PRTDSI__OE_SEL1        (* (reg8 *) TMS__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define TMS_PRTDSI__OUT_SEL0       (* (reg8 *) TMS__PRTDSI__OUT_SEL0) 
#define TMS_PRTDSI__OUT_SEL1       (* (reg8 *) TMS__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define TMS_PRTDSI__SYNC_OUT       (* (reg8 *) TMS__PRTDSI__SYNC_OUT) 


#if defined(TMS__INTSTAT)  /* Interrupt Registers */

    #define TMS_INTSTAT                (* (reg8 *) TMS__INTSTAT)
    #define TMS_SNAP                   (* (reg8 *) TMS__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_TMS_H */


/* [] END OF FILE */
