/*******************************************************************************
* File Name: SIN.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SIN_H) /* Pins SIN_H */
#define CY_PINS_SIN_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "SIN_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_90 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 SIN__PORT == 15 && ((SIN__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    SIN_Write(uint8 value) ;
void    SIN_SetDriveMode(uint8 mode) ;
uint8   SIN_ReadDataReg(void) ;
uint8   SIN_Read(void) ;
uint8   SIN_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define SIN_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define SIN_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define SIN_DM_RES_UP          PIN_DM_RES_UP
#define SIN_DM_RES_DWN         PIN_DM_RES_DWN
#define SIN_DM_OD_LO           PIN_DM_OD_LO
#define SIN_DM_OD_HI           PIN_DM_OD_HI
#define SIN_DM_STRONG          PIN_DM_STRONG
#define SIN_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define SIN_MASK               SIN__MASK
#define SIN_SHIFT              SIN__SHIFT
#define SIN_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define SIN_PS                     (* (reg8 *) SIN__PS)
/* Data Register */
#define SIN_DR                     (* (reg8 *) SIN__DR)
/* Port Number */
#define SIN_PRT_NUM                (* (reg8 *) SIN__PRT) 
/* Connect to Analog Globals */                                                  
#define SIN_AG                     (* (reg8 *) SIN__AG)                       
/* Analog MUX bux enable */
#define SIN_AMUX                   (* (reg8 *) SIN__AMUX) 
/* Bidirectional Enable */                                                        
#define SIN_BIE                    (* (reg8 *) SIN__BIE)
/* Bit-mask for Aliased Register Access */
#define SIN_BIT_MASK               (* (reg8 *) SIN__BIT_MASK)
/* Bypass Enable */
#define SIN_BYP                    (* (reg8 *) SIN__BYP)
/* Port wide control signals */                                                   
#define SIN_CTL                    (* (reg8 *) SIN__CTL)
/* Drive Modes */
#define SIN_DM0                    (* (reg8 *) SIN__DM0) 
#define SIN_DM1                    (* (reg8 *) SIN__DM1)
#define SIN_DM2                    (* (reg8 *) SIN__DM2) 
/* Input Buffer Disable Override */
#define SIN_INP_DIS                (* (reg8 *) SIN__INP_DIS)
/* LCD Common or Segment Drive */
#define SIN_LCD_COM_SEG            (* (reg8 *) SIN__LCD_COM_SEG)
/* Enable Segment LCD */
#define SIN_LCD_EN                 (* (reg8 *) SIN__LCD_EN)
/* Slew Rate Control */
#define SIN_SLW                    (* (reg8 *) SIN__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define SIN_PRTDSI__CAPS_SEL       (* (reg8 *) SIN__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define SIN_PRTDSI__DBL_SYNC_IN    (* (reg8 *) SIN__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define SIN_PRTDSI__OE_SEL0        (* (reg8 *) SIN__PRTDSI__OE_SEL0) 
#define SIN_PRTDSI__OE_SEL1        (* (reg8 *) SIN__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define SIN_PRTDSI__OUT_SEL0       (* (reg8 *) SIN__PRTDSI__OUT_SEL0) 
#define SIN_PRTDSI__OUT_SEL1       (* (reg8 *) SIN__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define SIN_PRTDSI__SYNC_OUT       (* (reg8 *) SIN__PRTDSI__SYNC_OUT) 


#if defined(SIN__INTSTAT)  /* Interrupt Registers */

    #define SIN_INTSTAT                (* (reg8 *) SIN__INTSTAT)
    #define SIN_SNAP                   (* (reg8 *) SIN__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_SIN_H */


/* [] END OF FILE */
